#ifndef FORMCHARGINGPROFILES_H
#define FORMCHARGINGPROFILES_H

#include <QWidget>

#include "DataTypeDef.h"

namespace Ui {
class FormChargingProfiles;
}

class FormChargingProfiles : public QWidget
{
    Q_OBJECT

public:
    explicit FormChargingProfiles(QWidget *parent = nullptr);
    ~FormChargingProfiles();

    charging_profiles_detail_info_t charging_profile_data();
    void setCharging_profile_data(charging_profiles_detail_info_t newCharging_profile_data);

private:
    void initConnect();
    void connectAllValueChanged(QWidget *widget);

    void refreshData();
    void updateData();

private slots:
    void onValueChanged();

signals:
    void valueChanged();

private:
    Ui::FormChargingProfiles *ui;
    charging_profiles_detail_info_t m_charging_profile_data;
    bool m_is_spread = true;
};

#endif // FORMCHARGINGPROFILES_H
